/*===========================================================================*/
/*   (Tools/date.scm)                                                        */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Tools/date.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2datezd2zztools_datez00();
static obj_t BGl_requirezd2initializa7ationz75zztools_datez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zztools_datez00();
static obj_t BGl__bigloozd2datezd2zztools_datez00(obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1005z00zztools_datez00, BgL_bgl_string1005za700za7za7tools_dateza7001011z00, " Mon Dec 15 12:14:36 CET 2003 ", 30 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2datezd2envz00zztools_datez00, BgL_bgl__biglooza7d2dateza7d2za7za7tools_dateza7001012za7, BGl__bigloozd2datezd2zztools_datez00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_datez00(long BgL_checksumz00_2, char * BgL_fromz00_3)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztools_datez00))
{ 
BGl_requirezd2initializa7ationz75zztools_datez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zztools_datez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztools_datez00()
{ AN_OBJECT;
{ /* ./Tools/date.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "tools_date"); 
return BUNSPEC;} 
}



/* bigloo-date */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2datezd2zztools_datez00()
{ AN_OBJECT;
{ /* ./Tools/date.scm 4 */
return BGl_string1005z00zztools_datez00;} 
}



/* _bigloo-date */
obj_t BGl__bigloozd2datezd2zztools_datez00(obj_t BgL_envz00_1)
{ AN_OBJECT;
{ /* ./Tools/date.scm 4 */
return BGl_string1005z00zztools_datez00;} 
}

